From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pylibacl/
Date: Fri, 17 Feb 2023 07:15:27 +0000 (UTC) [thread overview]
Message-ID: <1676616490.3a72847676b1eab773b0c93fe6a41109651ff329.sam@gentoo> (raw)
commit: 3a72847676b1eab773b0c93fe6a41109651ff329
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri Feb 17 06:34:53 2023 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Feb 17 06:48:10 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3a728476
dev-python/pylibacl: enable py3.11, PEP517
Signed-off-by: Sam James <sam <AT> gentoo.org>
.../{pylibacl-0.6.0.ebuild => pylibacl-0.6.0-r1.ebuild} | 16 +++++++++-------
1 file changed, 9 insertions(+), 7 deletions(-)
diff --git a/dev-python/pylibacl/pylibacl-0.6.0.ebuild b/dev-python/pylibacl/pylibacl-0.6.0-r1.ebuild
similarity index 81%
rename from dev-python/pylibacl/pylibacl-0.6.0.ebuild
rename to dev-python/pylibacl/pylibacl-0.6.0-r1.ebuild
index 040aeeee24e0..d5d6d50574b7 100644
--- a/dev-python/pylibacl/pylibacl-0.6.0.ebuild
+++ b/dev-python/pylibacl/pylibacl-0.6.0-r1.ebuild
@@ -1,33 +1,35 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=7
-
-PYTHON_COMPAT=( python3_{9..10} )
+EAPI=8
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} )
inherit distutils-r1
DESCRIPTION="POSIX ACLs (Access Control Lists) for Python"
HOMEPAGE="
https://pylibacl.k1024.org/
https://pypi.org/project/pylibacl/
- https://github.com/iustin/pylibacl/"
+ https://github.com/iustin/pylibacl/
+"
SRC_URI="
https://github.com/iustin/${PN}/archive/v${PV}.tar.gz
- -> ${P}.gh.tar.gz"
+ -> ${P}.gh.tar.gz
+"
LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="~alpha amd64 arm ~ia64 ~mips ppc ppc64 sparc x86"
RDEPEND="sys-apps/acl"
-DEPEND=${RDEPEND}
+DEPEND="${RDEPEND}"
distutils_enable_sphinx doc
distutils_enable_tests pytest
python_test() {
- if ! pytest -vv; then
+ if ! nonfatal epytest ; then
eerror
eerror "If you got the following errors:"
eerror "\"IOError: [Errno 95] Operation not supported\","
next reply other threads:[~2023-02-17 7:15 UTC|newest]
Thread overview: 51+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-02-17 7:15 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-20 13:01 [gentoo-commits] repo/gentoo:master commit in: dev-python/pylibacl/ Michał Górny
2025-03-15 13:16 Arthur Zamarin
2025-03-15 13:16 Arthur Zamarin
2025-03-15 12:16 Arthur Zamarin
2025-03-15 12:16 Arthur Zamarin
2025-03-15 12:16 Arthur Zamarin
2025-02-24 3:37 Michał Górny
2025-02-15 7:01 Michał Górny
2024-06-17 16:27 Michał Górny
2023-12-29 22:43 Sam James
2023-11-06 18:18 Michał Górny
2023-05-29 5:49 Michał Górny
2023-05-28 23:41 Sam James
2023-05-28 23:33 Sam James
2023-05-28 23:33 Sam James
2023-05-28 19:57 Arthur Zamarin
2023-05-28 19:55 Arthur Zamarin
2023-05-28 19:55 Arthur Zamarin
2023-04-25 1:13 Michał Górny
2023-04-24 5:57 Michał Górny
2021-05-18 16:02 Michał Górny
2021-05-18 16:02 Michał Górny
2021-01-25 22:19 Michał Górny
2021-01-25 19:53 Sam James
2021-01-03 19:40 Sam James
2021-01-03 12:13 Sergei Trofimovich
2020-12-31 1:17 Sam James
2020-11-29 8:18 Michał Górny
2020-11-05 22:15 James Le Cuirot
2020-05-04 11:39 Michał Górny
2020-04-24 5:52 Michał Górny
2020-04-22 17:05 Agostino Sarubbo
2020-04-22 17:04 Agostino Sarubbo
2020-04-22 17:02 Agostino Sarubbo
2020-04-22 17:01 Agostino Sarubbo
2020-04-22 6:20 Sergei Trofimovich
2020-04-17 20:33 Michał Górny
2020-04-17 20:33 Michał Górny
2020-03-28 17:44 Michał Górny
2020-02-12 7:51 Agostino Sarubbo
2020-02-12 7:47 Agostino Sarubbo
2020-02-11 19:51 Agostino Sarubbo
2020-02-11 16:01 Agostino Sarubbo
2020-01-24 19:18 Michał Górny
2019-04-18 4:05 Robin H. Johnson
2019-04-18 4:05 Robin H. Johnson
2018-06-24 17:24 Pacho Ramos
2018-03-17 10:51 Michał Górny
2017-09-03 1:04 Mike Gilbert
2017-03-13 16:24 Manuel Rüger
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1676616490.3a72847676b1eab773b0c93fe6a41109651ff329.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox